From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 22 March 2006<P>

So, what kind of imporovments do you think the Blender needs?<BR>
<BR>
One thing on my todo list is letting people edit and delete things after they're entered. The exception would likely be things that make it to the frontpage...<BR>
<BR>
Would more personal account info liven things up?  What about personal icons/avatars? 
<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 22 March 2006<P>

I think it would be cool to have avatars, maybe make it a little more personal like that.  I vote for that-
<HR>
From: <a href="/blend/av.cgi?id=1511">sassy</a><BR>
Date: 22 March 2006<P>

i also think more personal information would be cool....more challenge sort of things, as well...or maybe a word/phrase of the day/week/month that we could try and use in a poem....just some stuff to inspire.  
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 22 March 2006<P>

Hi Kirk, <BR>
I think "letting people edit and delete things after they're entered" is great and also Sassy's suggestion is a good idea, it will keep things lively.
<HR>